
Figure - 需求 Requirement #117683
TLOG-新增bootloader类型日志
2023-04-26 16:59 - CD SYSTEM-胡兵

Status: 分析&分解中 In Analysis Start date: 2023-04-26

Priority: Normal Due date: 2023-05-06

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

1. 保证user版本可以使用qfil导出

2. 保证suer版本可以使用tlog抓取

History

#1 - 2023-05-04 09:33 - CD SYSTEM-胡兵

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to CD SYSTEM-夏旭

#2 - 2023-05-04 09:35 - CD SYSTEM-胡兵

- Due date set to 2023-05-06

#3 - 2023-05-06 18:22 - CD SYSTEM-夏旭

- Status changed from New to 分析&分解中 In Analysis

1.现状

userdebug 的xbl能正常获取到bootloader的日志，但是user版本不能获取到

因为在user版本中默认关闭了logfs，高通case:06611999

Dear Customer:

Logfs is enabled by default for debug builds and is disabled for production builds.

There are limitations among source codes.

Suggest keep it as default.

2.做过的AI

刷user版本的软件后，在重新刷debug版本的xbl，是能正常的抓取到bootlog

3.方案

方案一：更改xbl代码.进行调试

方案二：用userdebug版本的xbl

#4 - 2023-05-08 10:32 - CD SYSTEM-夏旭

- % Done changed from 0 to 70

1.在jenkens上编user版本进行验证
#5 - 2023-05-10 21:43 - CD SYSTEM-夏旭

■ 目前进展

userdebug可以保存UEFI日志到tlog，但是user版本因为权限问题一直获取不到

#6 - 2023-05-12 19:09 - CD SYSTEM-夏旭

1.本地验证通过，正在jenkens上编译，

#7 - 2023-05-15 10:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197910 general/device/qcom/sepolicy_vndr Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

SYSTEM:Tlog add ufei logmodify /dev/block/sde from boot_block_device to tlog_data_fileTC-RID: 1201-0102704IssueID: TS-R-DF-117683Change-Id:

I9c2621f485fde817c70e5c8c23f2a83c944ef1eb

#8 - 2023-05-15 10:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197901 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM:Tlog add ufei logadd ufei logTC-RID: 1201-0102704IssueID: TS-R-DF-117683Change-Id: Ia87a0e201c0036a47bd97291259052ce24016663

#9 - 2023-05-15 10:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197914 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

SYSTEM:Tlog add ufei logsave uefi to tlogTC-RID: 1201-0102704IssueID: TS-R-DF-117683Change-Id: Icd1cb0f68b1ede258d97f0c02f179f97d182c80c

#10 - 2023-05-16 10:14 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 70 to 100
■目前进度

已经完成功能，在开机完成的时候会去自动获取uefi的日志，然后保存到data/tlog/uefi/路径下

■下一步

测试验证
